Bug 1605391 - pdfbox: FTBFS in Fedora rawhide
Summary: pdfbox: FTBFS in Fedora rawhide
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pdfbox
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 15:11 UTC by Mohan Boddu
Modified: 2018-12-13 02:15 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-13 02:15:55 UTC


Attachments (Terms of Use)
build.log (1.12 KB, text/plain)
2018-07-20 15:11 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 15:11 UTC, Mohan Boddu
no flags Details
state.log (467 bytes, text/plain)
2018-07-20 15:11 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 15:11:25 UTC
pdfbox failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28210529


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix pdfbox at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pdfbox will be orphaned. Before branching of Fedora 30,
pdfbox will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 15:11:31 UTC
Created attachment 1465362 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 15:11:36 UTC
Created attachment 1465363 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 15:11:40 UTC
Created attachment 1465364 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:16:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2018-12-04 10:48:32 UTC
pdfbox-2.0.9-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c9057cd1e

Comment 6 Fedora Update System 2018-12-05 03:54:11 UTC
pdfbox-2.0.9-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c9057cd1e

Comment 7 Fedora Update System 2018-12-13 02:15:55 UTC
pdfbox-2.0.9-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.